Community Packages

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#74752 - [home-assistant] no module named dateutil

Attached to Project: Community Packages
Opened by Henry Tung (compgamer89) - Sunday, 15 May 2022, 10:20 GMT
Task Type Bug Report
Category Packages
Status Unconfirmed
Assigned To No-one
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 0%
Votes 0
Private No

Details

Description:

During load of lifx module, the following failure was recorded in log:


2022-05-14 20:40:28 ERROR (MainThread) [homeassistant] Error doing job: Task exception was never retrieved
Traceback (most recent call last):
File "/usr/lib/python3.10/site-packages/homeassistant/config_entries.py", line 743, in async_create_flow
integration.get_platform("config_flow")
File "/usr/lib/python3.10/site-packages/homeassistant/loader.py", line 603, in get_platform
cache[full_name] = self._import_platform(platform_name)
File "/usr/lib/python3.10/site-packages/homeassistant/loader.py", line 620, in _import_platform
return importlib.import_module(f"{self.pkg_path}.{platform_name}")
File "/usr/lib/python3.10/importlib/__init__.py", line 126, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File "<frozen importlib._bootstrap>", line 1050, in _gcd_import
File "<frozen importlib._bootstrap>", line 1027, in _find_and_load
File "<frozen importlib._bootstrap>", line 1006, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 688, in _load_unlocked
File "<frozen importlib._bootstrap_external>", line 883, in exec_module
File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
File "/usr/lib/python3.10/site-packages/homeassistant/components/lifx/config_flow.py", line 5, in <module>
from homeassistant.helpers import config_entry_flow
File "/usr/lib/python3.10/site-packages/homeassistant/helpers/config_entry_flow.py", line 9, in <module>
from homeassistant.components import dhcp, mqtt, ssdp, zeroconf
File "/usr/lib/python3.10/site-packages/homeassistant/components/ssdp/__init__.py", line 13, in <module>
from async_upnp_client.aiohttp import AiohttpSessionRequester
ModuleNotFoundError: No module named 'async_upnp_client'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.10/site-packages/homeassistant/data_entry_flow.py", line 205, in async_init
flow, result = await task
File "/usr/lib/python3.10/site-packages/homeassistant/data_entry_flow.py", line 223, in _async_init
flow = await self.async_create_flow(handler, context=context, data=data)
File "/usr/lib/python3.10/site-packages/homeassistant/config_entries.py", line 750, in async_create_flow
raise data_entry_flow.UnknownHandler
homeassistant.data_entry_flow.UnknownHandler


Additional info:
* home-assistant 2022.4.6-1

Steps to reproduce:

- Install home-assistant
- Enable lifx integration with something like the following config:

lifx:
light:
server: 192.168.6.2
broadcast: 192.168.6.255
port: 56700

- Observe failure
- Note: Pulling the above from my own config, not independently tested
This task depends upon

Comment by Henry Tung (compgamer89) - Sunday, 15 May 2022, 10:21 GMT
Oops - misnamed this task. Can it be renamed from dateutil -> async_upnp_client? Otherwise, please close this and I can refile with the correct info.

Thanks!

Loading...